%global modname freezegun

Name:               python-freezegun
Version:            0.1.19
Release:            1%{?dist}
Summary:            Let your Python tests travel through time

Group:              Development/Libraries
License:            ASL 2.0
URL:                http://pypi.python.org/pypi/freezegun
Source0:            https://files.pythonhosted.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz
# The 0.1.19 source tarball is missing tests/utils.py
# To get it:
# git clone https://github.com/spulec/freezegun.git
# cd freezegun
# git checkout 0.1.19
# ...and it's tests/utils.py
Source1:            utils.py

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-nose
BuildRequires:      python-setuptools
BuildRequires:      python-six
BuildRequires:      python-dateutil
BuildRequires:      python-sure

BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools
# Test requirements: disabled for now as there is no python3-sure on
# EL 7
#BuildRequires:      python%{python3_pkgversion}-nose
#BuildRequires:      python%{python3_pkgversion}-six
#BuildRequires:      python%{python3_pkgversion}-dateutil
#BuildRequires:      python%{python3_pkgversion}-sure

%description
python-freezegun is a library that allows your python tests to travel through
time by mocking the datetime module.

%package -n python2-freezegun
Summary:            Let your Python tests travel through time
%{?python_provide:%python_provide python2-freezegun}
Group:              Development/Libraries

Requires:           python-six
Requires:           python-dateutil

%description -n python2-freezegun
freezegun is a library that allows your python tests to travel through
time by mocking the datetime module. This is the Python 2 build.


%package -n python%{python3_pkgversion}-freezegun
%{?python_provide:%python_provide python%{python3_pkgversion}-freezegun}
Summary:            Let your Python tests travel through time
Group:              Development/Libraries

Requires:           python%{python3_pkgversion}-six
Requires:           python%{python3_pkgversion}-dateutil

%description -n python%{python3_pkgversion}-freezegun
freezegun is a library that allows your python tests to travel through
time by mocking the datetime module. This is the Python 3 build.

%prep
%autosetup -p1 -n %{modname}-%{version}
cp %{SOURCE1} tests/

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# cannot run py3 tests yet as python3-sure isn't available
#nosetests-%{python3_version} tests/
nosetests-%{python2_version} tests/

%files -n python2-freezegun
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*

%files -n python%{python3_pkgversion}-freezegun
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%changelog
* Fri Feb 10 2017 Adam Williamson <awilliam@redhat.com> - 0.1.19-1
- Update to latest 0.1 series release
- Enable Python 3 build

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed Feb 12 2014 Ralph Bean <rbean@redhat.com> - 0.1.12-1
- initial package for Fedora
